# Utiliser une image de base Python officielle
FROM python:3.10-slim

# Définir le répertoire de travail dans le conteneur
WORKDIR /app

# Copier les fichiers de dépendances et installer les dépendances
COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

# Copier le reste des fichiers de l'application
COPY ./pipeline_xgb.pkl ./pipeline_xgb.pkl

COPY ./app.py ./app.py

# Copier le script start.sh dans le conteneur
COPY start.sh /app/start.sh
RUN chmod +x /app/start.sh

# Exposer le port sur lequel l'application FastAPI va fonctionner
EXPOSE 8000

# Définir une variable d'environnement pour le nombre de workers
ENV WORKERS_PER_CORE 1
ENV MAX_WORKERS 4

# Commande pour lancer l'application
CMD ["/app/start.sh"]
